<template>
    <div class="chartListBox" :childData="childData">
        <div class="aside-title">{{ childData.title }}</div>
        <div class="echartBox">
            <div class="chartMenu" v-for="(item, key) in childData.val" :key="key">
                <table class="chartTable">
                    <tr>
                        <td></td>
                        <td>{{ item.t1 }}</td>
                        <td>{{ item.t2 }}</td>
                    </tr>

                    <tr>
                        <td class="chartTd" colspan="3">
                            <div class="elDriver">
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>{{ item.name }}</td>
                        <td style="color:#67c23a">{{ item.v1 }}</td>
                        <td style="color:#f56c6c"> {{ item.v2 }}</td>
                    </tr>
                </table>

            </div>

        </div>
    </div>
</template>

<script>


export default {
    props: {
        childData: {
            type: Object,
            default: null
        }
    },
    data() {
        return {
            // childData:null,
        }
    }
}
</script>

<style lang="scss" scoped>
.chartListBox {
    width: 100%;
    height: 100%;
    position: relative;
    display: flex;
    flex-direction: column;

    .aside-title {
        box-sizing: border-box;
        padding-left: 30px;
        font-size: 15px;
        font-family: YouSheBiaoTiHei, YouSheBiaoTiHei-Regular;
        color: #fff;
        width: 100%;
        height: 45px;
        line-height: 30px;
        background-size: 100% 100%;
        background-repeat: no-repeat;
    }

    .echartBox {
        flex: 1;
        padding: 5px;
        position: relative;
        color: white;
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        overflow: auto;

        .chartTd {
            width: 100%;
            padding: 0px !important;
        }

        .elDriver {
            width: 100%;
            height: 2px;
            background: #409EFF;
            margin: 10px 0px;

        }

        .chartTable {
            width: 100%;

            td {
                text-align: center;
            }
        }

    }
}
/*滚动条整体样式*/
::-webkit-scrollbar {
  /*高宽分别对应横竖滚动条的尺寸*/
  width: 1px;
  height: 1px;
}

/*滚动条里面小方块*/
::-webkit-scrollbar-thumb {
  border-radius: 5px;
  -webkit-box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.2);
  background: #409EFF;
}

/*滚动条里面轨道*/
::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.2);
  border-radius: 10px;
  background: rgba(237, 237, 237, .1);
}
</style>